Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.run
Class RayTracer

    java.lang.Object
      threeD.run.RayTracer

All Implemented Interfaces:
  EventGenerator, EventListener

public class RayTracer
extends java.lang.Object
implements EventListener, EventGenerator

The RayTracer class uses standard ui components from the threeD.ui package to provide a user interface for the ray tracing engine.

Field Summary
`static java.lang.String` | `help`

Constructor Summary
`RayTracer(Scene scene)` Constructs a new RayTracer object using the specified Scene object.

Method Summary
`void` | `eventFired(Event event)` Method called when an event has been fired.
`EventHandler` | `getEventHandler()` Returns the EventHandler object used by the ray tracing interface.
`static void` | `main(java.lang.String[] args)` Starts the ray tracing interface.
`void` | `setEventHandler(EventHandler handler)` Sets the EventHandler object used by the ray tracing interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### help

    public static final java.lang.String help

See Also:
  Constant Field Values

Constructor Detail

### RayTracer

    public RayTracer(Scene scene)

  Constructs a new RayTracer object using the specified Scene object.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Starts the ray tracing interface.

### eventFired

    public void eventFired(Event event)

  Method called when an event has been fired.

  Specified by:
    `eventFired` in interface `EventListener`

### setEventHandler

    public void setEventHandler(EventHandler handler)

  Sets the EventHandler object used by the ray tracing interface. Setting this to null will deactivate event reporting.

  Specified by:
    `setEventHandler` in interface `EventGenerator`

### getEventHandler

    public EventHandler getEventHandler()

  Returns the EventHandler object used by the ray tracing interface.

  Specified by:
    `getEventHandler` in interface `EventGenerator`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray